# Employee Badge

The following assumes you have installed the required interface package and imported the working contract into your codebase.

### mintFor

Used for onboarding new employees. This `external` function allows verified employers to add a given wallet to their organisation and define a tokenUri which will contain the `ipfs` CID pointer to the json file representing the job details in the standard NFT json schema.

```solidity
uint256 _tokenId = employeeNft.mintFor(0x3DdDF83eDD1aa846c4e75f0592AE60C4D1C1C1c6, "QmU2EXy9qKZd1H6ngxQMSY9vdbDyiVD8c8EEnaQqqW839d");
```

```json
{
  "name": "Chief Technology Officer",
  "image": "ipfs://QmXVPmiW6uq6c9XDKkFeQjU6KVjCq4wi5zksaE5WwSwbAX",
  "employer": "Hooli",
  "attributes": [
    {
      "display_type": "date",
      "trait_type": "start date",
      "value": 1546360800
    },
    {
      "trait_type": "Employer",
      "value": "Hooli"
    },
    {
      "trait_type": "Department",
      "value": "Internal Solutions"
    },
    {
      "trait_type": "Governance Level",
      "value": "Board of Directors"
    },
    {
      "trait_type": "Special Groups",
      "value": "Hooli X"
    }
  ]
}
```

### getEmployerId

An easy way to get the current employer id for a give employee NFT id.

```solidity
uint256 _employerId = employeeNft.getEmployerId(1)
```

### burn

&#x20;As a token holder (employee) or token granter (employer) you can terminate the employment within that organisation at any given time. This is done by burning the employee badge.

```solidity
employeeNft.burn(_tokenId);
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.proofofposition.xyz/reference/employee-badge.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
